Skip to content

Create or update card limits

Request

Create or update card transaction, daily, monthly or lifetime spend limits.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

cardTokenstringrequired

The card token.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
transactionobject
dailyobject
monthlyobject
lifetimeobject
curl -i -X PATCH \
  'https://api.wise.com/v4/spend/profiles/{profileId}/cards/{cardToken}/spend-limits' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "daily": {
      "value": {
        "amount": 1000,
        "currency": "GBP"
      }
    },
    "monthly": {
      "value": {
        "amount": 1000,
        "currency": "GBP"
      }
    }
  }'

Responses

Updated card spend limits. See Retrieve card limits.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content